import { UmbBlockEditorValidationPropertyPathTranslatorBase } from '../../block/index.js';
export class UmbBlockListValidationPropertyPathTranslator extends UmbBlockEditorValidationPropertyPathTranslatorBase {
    async translate(paths, data) {
        if (!data.value) {
            return paths;
        }
        // ContentData:
        paths = await this._translateBlockData(paths, data.value.contentData, '$.value.contentData');
        // SettingsData:
        paths = await this._translateBlockData(paths, data.value.settingsData, '$.value.settingsData');
        return paths;
    }
}
export { UmbBlockListValidationPropertyPathTranslator as api };
